# Method Stdio.Buffer()->_search()

Method _search

  ``int(-1..)` search(Stdio.Buffer from, `int(8bit)` `character`, `int`|`void` `start`, `int(0..)`|`void` `end`)`

Description

  Search forward from the indicated start position for the specified character.

Parameter `character`

  Character to search for.

Parameter `start`

  Start position relative to the current read position of the buffer.

  Negative start values are supported and indicate positions prior to the current read position.

Parameter `end`

  Don't search past this position of the buffer.

Returns

  Returns the first found position of character relative to the current read position of the buffer on success, and UNDEFINED on not found. The read position is not advanced.

See also

  read_cstring(), search(), lfun::_search()

Method _search

  ``int(-1..)` search(Stdio.Buffer from, `string(8bit)` `substring`, `int`|`void` `start`, `int`|`void` `end`)`

Description

  Search forward from the indicated start position for the specified substring.

Parameter `substring`

  Substring to search for.

Parameter `start`

  Start position relative to the current read position of the buffer.

  Negative start values are supported and indicate positions prior to the current read position.

Parameter `end`

  Don't search past this position of the buffer.

Returns

  Returns the first found position of substring relative to the current read position of the buffer on success, and UNDEFINED on not found. The read position is not advanced.

See also

  read_cstring(), search(), lfun::_search()